
Foreman - Bug #25169

CVE-2018-14664 - Persisted XSS on all pages that use breadcrumbs

10/10/2018 01:16 PM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Amir Fefer   

Category: Security   

Target version: 1.18.3   

Difficulty:  Fixed in Releases: 1.18.3, 1.19.1, 1.20.0

Triaged: No Found in Releases: 1.18.0

Bugzilla link: 1652999 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6132

  

Description

If user has the permission to edit resource which attribute is user in the breadcrumbs bar, it's not properly escaped allowing attacker

to store code, that will be executed on client side. E.g. create a domain with name test.<b>com</b>, the go to it's edit form. See the

breadcrumb didn't escape the HTML code.

This has been introduced in 1.18

Related issues:

Related to Foreman - Feature #22855: Add redux container for breadcrumb switcher Closed 03/12/2018

Related to Foreman - Bug #25503: Breadcrumb show allow truncation with full t... Closed

Related to Foreman - Bug #26822: Create host in breadcrumbs in host detail pa... Closed

Associated revisions

Revision 3a0c10ce - 11/05/2018 03:16 PM - Amir Fefer

Fixes #25169 - fix xss on pages with breadcrumbs

History

#1 - 10/10/2018 01:16 PM - Marek Hulán

- Related to Feature #22236: Add breadcrumbs to foreman UI added

#2 - 10/10/2018 01:31 PM - Marek Hulán

- Related to Feature #22855: Add redux container for breadcrumb switcher added

#3 - 10/10/2018 01:32 PM - Marek Hulán

- Related to deleted (Feature #22236: Add breadcrumbs to foreman UI)

#4 - 10/10/2018 03:56 PM - Amir Fefer

- Assignee set to Amir Fefer

#5 - 10/10/2018 07:53 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6132 added

#6 - 10/11/2018 05:46 AM - Marek Hulán

- Bugzilla link set to 1638130

#7 - 10/11/2018 05:46 AM - Marek Hulán

- Subject changed from Persisted XSS on all pages that use breadcrumbs to CVE-2018-14664 - Persisted XSS on all pages that use breadcrumbs

#8 - 11/05/2018 03:27 PM - Tomer Brisker
- Fixed in Releases 1.18.3, 1.19.1, 1.20.0 added

#9 - 11/05/2018 04:01 PM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset 3a0c10ce1b881953001d2207888a89528697d6cb.

#10 - 11/19/2018 12:31 PM - Adam Ruzicka

- Related to Bug #25503: Breadcrumb show allow truncation with full title in tooltip on mouse hover added

#11 - 11/25/2018 08:19 AM - Tomer Brisker

- Bugzilla link changed from 1638130 to 1652999

#12 - 08/20/2019 09:04 AM - Tomer Brisker

- Related to Bug #26822: Create host in breadcrumbs in host detail page after creating a host added
